From 937d2069d5749614fce7b26dcb707de089ac5a02 Mon Sep 17 00:00:00 2001
From: Min Chen <chenm003@163.com>
Date: Thu, 12 Sep 2024 11:00:18 +0000
Subject: [PATCH 6/6] AArch64: Fix hash mismatch on HIGH_BIT_DEPTH

---
 source/common/aarch64/dct.S | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/source/common/aarch64/dct.S b/source/common/aarch64/dct.S
index 68cf8778b..c63428241 100644
--- a/source/common/aarch64/dct.S
+++ b/source/common/aarch64/dct.S
@@ -36,9 +36,9 @@
 
 .text
 .set idct16_shift_1, 7
-.set idct16_shift_2, 12
+.set idct16_shift_2, 12-(BIT_DEPTH-8)
 
-.set dct16_shift_1, 3
+.set dct16_shift_1, 3+(BIT_DEPTH-8)
 .set dct16_shift_2, 10
 
 .align 4
-- 
2.36.0.windows.1

